idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Core.WHNF

Description

Synopsis

- whnf :: Context -> Env -> Term -> Term
- whnfArgs :: Context -> Env -> Term -> Term
- data WEnv

# Documentation

whnf :: Context -> Env -> Term -> Term #

Reduce a term to weak head normal form.

whnfArgs :: Context -> Env -> Term -> Term #

Reduce a type so that all arguments are expanded

data WEnv #

Instances

Show WEnv # |
Methods showsPrec :: Int -> WEnv -> ShowS # show :: WEnv -> String # showList :: [WEnv] -> ShowS #